Read-only Public API for searching legal employers configured in Bob.
An employer is a legal entity owned by the company. The Employers API lets you search and read employer records using the flattened fieldId: value contract. All endpoints are read-only and search-based — there are no single-object GET /{id} endpoints.
Before you begin
- Explore Employer API to learn about employers and work locations in Bob and how to use the API.
Required permissions
To use the Employers API, make sure the service user or OAuth app has the following access:
| Authentication | Permission or scope |
|---|---|
| Service user (Basic Auth) | Features > Settings > Employers and work locations > View details for employers and work locations |
| Marketplace app (OAuth) | employers:read |
If the caller lacks the required permission or scope, or its source IP is not on the company IP trust list, the API returns 403 Forbidden. To learn more, see Permissions.
Employers API endpoints
| Resource | Endpoint |
|---|---|
| Metadata | Get employer metadata |
| Employer data | Search employers |
Work locations are a sub-resource of employer. See Work locations for work-location endpoints.
Rate limiting
Rate limits are restrictions that our API imposes on the number of times a user can access our endpoints within a specified period of time. To learn more about rate limiting best practices, see Rate limiting.
| Method | Endpoint | Limit per minute |
|---|---|---|
| POST | Get employer metadata | 60 |
| POST | Search employers | 60 |

